WordPress.org

Support

Support » Installation » Fatal error after upgrade 2.7 to 2.8

Fatal error after upgrade 2.7 to 2.8

  • I clicked on the “Please upgrade to 2.8” link in the admin panel and now I cannot reach my website and the admin panel.

    It says :

    Fatal error: Cannot redeclare wp_clone() (previously declared in /www/wp-settings.php:283) in /www/wp-includes/functions.php on line 2908

    Does someone know how to fix this ??

    Please help me, I am so scared that I have to do all over again…

Viewing 15 replies - 1 through 15 (of 35 total)
  • Please help me, I am so scared that I have to do all over again…

    You have backups, correct? If so you should never have to “do all over again”.

    Deactivate plugins and see if that resolves your problem.
    How to deactivate all plugins when not able to access the administrative menus?

    I don’ have backups…
    I saw the link too late, I had already clicked on the link “upgrade”… My fault…

    There is no other way to fix this ?

    Review WordPress Backups to make sure you have backups in the future.

    Did you try deactiving plugins?

    Did the upgrade modify something in the database ?

    If not, I could upload wordpress 2.7 on my server to overwrite the files, right ?

    How could I deactivate plugins ? I don’t have access to the admin panel…

    All my website displays the message :

    Fatal error: Cannot redeclare wp_clone() (previously declared in /www/wp-settings.php:283) in /www/wp-includes/functions.php on line 2908

    Deactivate plugins and see if that resolves your problem.

    are you ignoring this on purpose?

    No but :

    How could I deactivate plugins ? I don’t have access to the admin panel…

    Thanks i’ll try this

    It does not work…

    I tried the 2 ways, with phpMyAdmin and then with the empty folder but in the 2 cases I am not able to reach the administration panel.

    Sometimes it may be necessary to deactivate all plugins, but you can’t access the administrative menus to do so. One of two methods are available to deactivate all plugins.

    * Use phpMyAdmin
    o In the table wp_options, under the option_name column (field) find the active_plugins row
    o Change the option_value field to: a:0:{}

    or

    * Create an empty plugins folder
    o Via FTP or your host’s control panel, navigate to the wp-contents folder (directory)
    o Via FTP or your host’s control panel, rename the folder “plugins” to “plugins.hold”
    o Via FTP or your host’s control panel, create new folder called “plugins”
    o Login to your WordPress administration menus
    o Via FTP or your host’s control panel, delete the empty “plugins” you previous created
    o Via FTP or your host’s control panel, rename “plugins.hold” back to “plugins”

    Okay so now all plugins are deactivated.

    Try clearing your browser cache and cookies.

    Ok, so I changed the option_value field to a:0 in phpMyAdmin, I have created an empty “plugins” folder and renamed the original one to “plugins.hold”.
    I cleaned my browser cache and cookies.
    I tried with an other browser.
    i tried on an other computer and I still have the same problem.

    I am not able to reach my website or the administration panel, I keep having the Fatal Error.

    There is an “upgrade” folder in www/wp-content, should I delete it ?
    What can I do ? Nothing is working…

    Yeah, that’s maybe the best idea…

    How should I do to roll back to 2.7 without loosing my plugins, themes, etc. ?

    Because, like I said, I don’t have backup files…

    http://wordpress.org/download/release-archive/

    You can download 2.71. I did, and I’m coming back up now.

    I’m also going to move to Drupal. WordPress just violated trust with this upgrade, and I had 15 minutes of downtime, which is unacceptable, given how they advertise an easy upgrade process.

    Thanks angrywpuser ! It’s working now !
    My website was done 1 hour but your advice saved me.

    Drupal is better than Joomla ?

Viewing 15 replies - 1 through 15 (of 35 total)
  • The topic ‘Fatal error after upgrade 2.7 to 2.8’ is closed to new replies.
Skip to toolbar